Description

This patch (for trunk r23061) improves the precision of drawing the "Progress line" on the Gantt chart by considering the progress
rate when an issue and its target version are ahead of schedule.

If the progress rate is 0, it is not considered ahead of schedule. Therefore, this patch changes the CSS class name from the
traditional "over-end-date" to "ahead-start-date" and adjusts the drawing of the "Progress line" accordingly.

Before applying the patch before.png

After applying the patch after.png

Associated revisions

Revision 23068 - 2024-09-23 03:33 - Go MAEDA

Gantt progress line misrendering for 0% progress issues/versions with future start dates beyond chart range (#41263).

Contributed by Minoru Maeda (user:maeda-m).

Revision 23072 - 2024-09-24 03:32 - Go MAEDA
Merged r23068 from trunk to 5.1-stable (#41263).

Revision 23073 - 2024-09-24 03:33 - Go MAEDA
Merged r23068 from trunk to 5.0-stable (#41263).

History

#1 - 2024-09-20 05:16 - Go MAEDA

- File clipboard-202409201157-8tjqt.png added

- File clipboard-202409201201-mpg6w.png added
- File clipboard-202409201203-rorb3.png added

- Tracker changed from Patch to Defect

- Subject changed from Enhance the accuracy of progress line drawing on the Gantt chart when ahead of schedule to Gantt progress line
misrendering for 0% progress issues/versions with future start dates beyond chart range

- Status changed from New to Confirmed

The suggested patch resolves an issue where the progress line display is distorted when an issue with 0% progress and a start date in the future,
outside the displayed range of the Gantt chart, exists.

In the rendering of the progress line, an issue with 0% progress (which means unstarted) and a start date in the future should appear as if it is
progressing according to schedule. In the screenshot below, issue #35 is displayed in this manner.
clipboard-202409201157-8tjqt.png
However, currently, even if an issue has 0% progress and a start date in the future, if the start date is beyond the displayed range of the Gantt chart,
the progress line is incorrectly rendered as if it is progressing ahead of schedule, despite having 0% progress (as seen with issue #36 in the
screenshot below).
clipboard-202409201201-mpg6w.png
The attached patch resolves this issue.
#2 - 2024-09-20 05:25 - Go MAEDA
- File 41263-v2.patch added

- Target version set to Candidate for next minor release

| think it is better not to change the CSS class name over-end-date because changing the class name may affect plugins or users' customizations that

rely on it.

| have updated the patch accordingly.

#3 - 2024-09-22 04:02 - Go MAEDA

- Target version changed from Candidate for next minor release to 5.0.10

Setting the target version to 5.0.10.

#4 - 2024-09-23 03:34 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23068. Thank you for your contribution.

#5 - 2024-09-24 03:33 - Go MAEDA

- Status changed from Resolved to Closed

Merged the change to stable branches.
